<div fxFlex="100" fxLayout="column">
  <!--#region title-->
  <div class="brandName"><p class="cardTitle"
                            style="margin-top: 0; padding-top: 20px; padding-bottom: 20px">{{storeName}}</p>
  </div>
  <!--#endregion-->

  <!--  <div fxLayout="row" fxFlex="100" fxLayoutAlign="center center"-->
  <!--       style="margin-bottom: 10px;justify-content: center;align-items: center;" fxShow.md fxShow.gt-md fxHide>-->
  <!--    <div style="width: 50%; height: 400px; " [style.background-color]="imageSource === 'assets/images/store-default.png' ? 'white' : null">-->
  <!--      <img style="width: 100%; height: 400px;" [src]="imageSource" alt="" [hidden]="!loadingImage" />-->
  <!--      <div style="margin-top: 50px;margin-bottom: 50px;" [hidden]="loadingImage">-->
  <!--        <mat-spinner style="margin: 0 auto;"></mat-spinner>-->
  <!--      </div>-->
  <!--    </div>-->
  <!--  </div>-->


  <!--  <div fxLayout="row" fxFlex="100" fxLayoutAlign="center center"-->
  <!--       style="margin-bottom: 10px;justify-content: center;align-items: center;" fxShow.lt-md fxHide>-->
  <!--    <div style="width: 50%; height: 180px; " [style.background-color]="imageSource === 'assets/images/store-default.png' ? 'white' : null">-->
  <!--      <img style="width: 100%; height: 180px;" [src]="imageSource" alt="" [hidden]="!loadingImage" />-->
  <!--      <div style="margin-top: 50px;margin-bottom: 50px;" [hidden]="loadingImage">-->
  <!--        <mat-spinner style="margin: 0 auto;"></mat-spinner>-->
  <!--      </div>-->
  <!--    </div>-->
  <!--  </div>-->


  <mat-tab-group mat-stretch-tabs>
    <mat-tab label="Χρήση καταστήματος" fxLayout="column" fxFlex="100">
        <div style="margin-top: 1rem;" fxLayout="row wrap" fxLayoutAlign="space-evenly">
          <mat-card
            *ngFor="let card of cardInfo" [fxFlex.gt-lg]="22" [fxFlex.lt-sm]="100" [fxFlex.sm]="100" [fxFlex.lg]="45"
            [fxFlex.lt-md]="45" [fxFlex.lt-lg]="45"
            style="height: 150px; cursor:pointer; border-radius: 5px; margin: 1rem;" class="rectangle">
            <mat-card-header fxLayout="row" fxLayoutAlign="center center" class="ff-c">{{card.title}}</mat-card-header>
            <mat-card-content fxLayout="row" fxLayoutAlign="center center" style="height: 100px;">
              <div class="triangle" [style.border-bottom]="'150px solid '+card.color"></div>
              <div class="triangle2" [style.border-top]="'150px solid '+card.color"></div>

              <div style="position:absolute; right: 35px; bottom: 25px;">
                <mat-icon style="color: white;">{{card.icon}}</mat-icon>
              </div>
              <label style="font-size: 24px; font-weight: 700;" class="ff-c">
                {{card.value}}
              </label>
            </mat-card-content>
          </mat-card>

        </div>

        <div fxLayout="row" style="background-color: lightgray; height: 1px; width: 100%"></div>

        <div fxLayout="row wrap" style="margin-top: 1rem">
          <div *ngFor="let chart of charts" fxFlex="50" [fxFlex.lt-sm]="100" [fxFlex.sm]="100">
            <app-chart-container [title]="chart.title" [data]="chart.data"
                                 [type]="chart.chartType"></app-chart-container>
          </div>
        </div>
    </mat-tab>
    <mat-tab label="Βασικές πληροφορίες">
      <!--#region form-->
      <div fxLayout="row" fxFlex="100">
        <form [formGroup]="form" autocomplete="off" fxLayout="column" fxFlex="100">
          <!--#region basic info-->
          <div fxFlex="100" fxLayout="row">
            <div fxFlex="100" fxLayout="column">
              <p class="cardTitle" style="margin-top: 0">Βασικές Πληροφορίες</p>

              <div fxLayout="row wrap" style="background: white;padding-left: 20px;padding-right: 20px;"
                   fxLayoutAlign="space-between">
                <div fxLayout="column" fxFlex.gt-md="100" fxFlex.md="100" fxFlex.lt-md="100">
                  <mat-form-field appearance="legacy">
                    <mat-label>Διακριτικός Τίτλος</mat-label>
                    <input matInput [formControlName]="'legalName'" [readonly]="!registration">
                  </mat-form-field>
                </div>

                <div fxLayout="column" fxFlex.gt-md="32" fxFlex.md="49" fxFlex.lt-md="100">
                  <mat-form-field appearance="legacy">
                    <mat-label>Χώρα</mat-label>
                    <input matInput [formControlName]="'countryName'" [readonly]="!registration">
                  </mat-form-field>
                </div>

                <div fxLayout="column" fxFlex.gt-md="32" fxFlex.md="49" fxFlex.lt-md="100">
                  <mat-form-field appearance="legacy">
                    <mat-label>Πόλη</mat-label>
                    <input matInput [formControlName]="'cityName'" [readonly]="!registration">
                  </mat-form-field>
                </div>

                <div fxLayout="column" fxFlex.gt-md="32" fxFlex.md="49" fxFlex.lt-md="100">
                  <mat-form-field appearance="legacy">
                    <mat-label>Οδός & Αριθμός</mat-label>
                    <input matInput [formControlName]="'street'" [readonly]="!registration">
                  </mat-form-field>
                </div>

                <div fxLayout="column" fxFlex.gt-md="32" fxFlex.md="49" fxFlex.lt-md="100">
                  <mat-form-field appearance="legacy">
                    <mat-label>Ταχυδρομικός Κώδικας</mat-label>
                    <input matInput [formControlName]="'postalCode'" [readonly]="!registration">
                  </mat-form-field>
                </div>

                <div fxLayout="column" fxFlex.gt-md="32" fxFlex.md="49" fxFlex.lt-md="100">
                  <mat-form-field appearance="legacy">
                    <mat-label>Γεωγραφικό Πλάτος</mat-label>
                    <input matInput [formControlName]="'latitude'" [readonly]="!registration">
                  </mat-form-field>
                </div>

                <div fxLayout="column" fxFlex.gt-md="32" fxFlex.md="49" fxFlex.lt-md="100">
                  <mat-form-field appearance="legacy">
                    <mat-label>Γεωγραφικό Μήκος</mat-label>
                    <input matInput [formControlName]="'longitude'" [readonly]="!registration">
                  </mat-form-field>
                </div>

                <div fxLayout="column" fxFlex.gt-md="49" fxFlex.md="100" fxFlex.lt-md="100">
                  <mat-form-field appearance="legacy">
                    <mat-label>Σύντομη Περιγραφή (Ελληνικά)</mat-label>
                    <textarea matInput [formControlName]="'descriptionEl'"
                              placeholder="Δώστε μια σύντομη περιγραφή της επιχείρησης στα ελληνικά"
                              [readonly]="!registration"></textarea>
                  </mat-form-field>
                </div>

                <div fxLayout="column" fxFlex.gt-md="49" fxFlex.md="100" fxFlex.lt-md="100">
                  <mat-form-field appearance="legacy">
                    <mat-label>Σύντομη Περιγραφή (Αγγλικά)</mat-label>
                    <textarea matInput [formControlName]="'descriptionEn'"
                              placeholder="Δώστε μια σύντομη περιγραφή της επιχείρησης στα αγγλικά"
                              [readonly]="!registration"></textarea>
                  </mat-form-field>
                </div>
              </div>
            </div>
          </div>
          <!--#endregion-->

          <!--#region contact info    -->
          <div fxLayout="row">
            <div fxFlex="100" fxLayout="column">
              <p class="cardTitle">Επικοινωνία & Social Media</p>

              <div fxLayout="row wrap" style="background: white;padding-left: 20px;padding-right: 20px;"
                   fxLayoutAlign="space-between">
                <div fxLayout="column" fxFlex.gt-md="32" fxFlex.md="49" fxFlex.lt-md="100">
                  <mat-form-field appearance="legacy">
                    <mat-label>Email</mat-label>
                    <input matInput [formControlName]="'email'" [readonly]="!registration">
                  </mat-form-field>
                </div>

                <div fxLayout="column" fxFlex.gt-md="32" fxFlex.md="49" fxFlex.lt-md="100">
                  <mat-form-field appearance="legacy">
                    <mat-label>Τηλέφωνο</mat-label>
                    <input matInput [formControlName]="'telephone'" [readonly]="!registration">
                  </mat-form-field>
                </div>

                <div fxLayout="column" fxFlex.gt-md="32" fxFlex.md="49" fxFlex.lt-md="100">
                  <mat-form-field appearance="legacy">
                    <mat-label>Website</mat-label>
                    <input matInput [formControlName]="'website'" [readonly]="!registration">
                  </mat-form-field>
                </div>

                <div fxLayout="column" fxFlex.gt-md="32" fxFlex.md="49" fxFlex.lt-md="100">
                  <mat-form-field appearance="legacy">
                    <mat-label>Facebook</mat-label>
                    <input matInput [formControlName]="'facebook'" [readonly]="!registration">
                  </mat-form-field>
                </div>

                <div fxLayout="column" fxFlex.gt-md="32" fxFlex.md="49" fxFlex.lt-md="100">
                  <mat-form-field appearance="legacy">
                    <mat-label>Instagram</mat-label>
                    <input matInput [formControlName]="'instagram'" [readonly]="!registration">
                  </mat-form-field>
                </div>

                <div fxLayout="column" fxFlex.gt-md="32" fxFlex.md="49" fxFlex.lt-md="100">
                  <mat-form-field appearance="legacy">
                    <mat-label>Twitter</mat-label>
                    <input matInput [formControlName]="'twitter'" [readonly]="!registration">
                  </mat-form-field>
                </div>
              </div>
            </div>
          </div>
          <!--#endregion-->

          <!--#region tax info-->
          <div fxLayout="row">
            <div fxFlex="100" fxLayout="column">
              <p class="cardTitle">Στοιχεία Τιμολόγησης</p>
              <div fxLayout="row wrap" style="background: white;padding-left: 20px;padding-right: 20px;"
                   fxLayoutAlign="space-between">

                <div fxLayout="column" fxFlex.gt-md="32" fxFlex.md="49" fxFlex.lt-md="100">
                  <mat-form-field appearance="legacy">
                    <mat-label>Επωνυμία (Όπως δηλώθηκε στην ΔΟΥ)</mat-label>
                    <input matInput [formControlName]="'taxLegalName'" [readonly]="!registration">
                  </mat-form-field>
                </div>

                <div fxLayout="column" fxFlex.gt-md="32" fxFlex.md="49" fxFlex.lt-md="100">
                  <mat-form-field appearance="legacy">
                    <mat-label>Περιγραφή Δραστηριότητας (Όπως δηλώθηκε στην ΔΟΥ)</mat-label>
                    <input matInput [formControlName]="'taxProfession'" [readonly]="!registration">
                  </mat-form-field>
                </div>

                <div fxLayout="column" fxFlex.gt-md="32" fxFlex.md="49" fxFlex.lt-md="100">
                  <mat-form-field appearance="legacy">
                    <mat-label>ΦΠΑ</mat-label>
                    <input matInput [formControlName]="'vat'" [readonly]="!registration">
                  </mat-form-field>
                </div>


                <div fxLayout="column" fxFlex.gt-md="32" fxFlex.md="49" fxFlex.lt-md="100">
                  <mat-form-field appearance="legacy">
                    <mat-label>ΑΦΜ</mat-label>
                    <input matInput [formControlName]="'taxNumber'" [readonly]="!registration">
                  </mat-form-field>
                </div>

                <div fxLayout="column" fxFlex.gt-md="32" fxFlex.md="49" fxFlex.lt-md="100">
                  <mat-form-field appearance="legacy">
                    <mat-label>Αρμόδια ΔΟΥ</mat-label>
                    <input matInput [formControlName]="'taxOffice'" [readonly]="!registration">
                  </mat-form-field>
                </div>

                <div fxLayout="column" fxFlex.gt-md="32" fxFlex.md="49" fxFlex.lt-md="100">
                  <mat-form-field appearance="legacy">
                    <mat-label>Διεύθυνση έδρας</mat-label>
                    <input matInput [formControlName]="'headquarters'" [readonly]="!registration">
                  </mat-form-field>
                </div>

              </div>
            </div>

          </div>

          <!--#endregion-->

          <!--#region services-->
          <div fxLayout="row">
            <div fxFlex="100" fxLayout="column">
              <p class="cardTitle">Παρεχόμενες Υπηρεσίες</p>
              <div fxLayout="row"
                   style="background: white; padding-top: 10px; padding-left: 20px; padding-bottom: 10px">
                <mat-checkbox [checked]="form.value.cashBack" [formControlName]="'cashBack'" color="primary">
                </mat-checkbox>
                <label style="margin-left: 10px;margin-right: 10px;">Η επιχείρηση
                  παρέχει υπηρεσίες επιστροφής μετρητών - Cashback</label>
              </div>

              <div fxLayout="row" fxHide fxShow.gt-sm>
                <table class="cashback" fxFlex="100">
                  <tr>
                    <th>Ποσοστό επιστροφής (%)</th>
                    <th>Αναλογία Yummy - Πελατη {{form.value.ratioYummy}}
                      - {{form.value.ratioMerchant}}</th>
                    <th>Προμήθεια της Yummy (%)</th>
                    <th>Ποσοστό επιστροφής πελάτη (%)</th>
                  </tr>
                  <tr>
                    <td><input matInput [value]="form.value.cashbackPercentage" readonly></td>
                    <td>
                      <mat-slider
                        [max]="100"
                        [min]="0"
                        [step]="1"
                        color="primary"
                        [formControlName]="'ratioYummy'"
                        (change)="updateSlider($event)"></mat-slider>
                    </td>
                    <td><input matInput [value]="form.value.yummyCommission" readonly></td>
                    <td><input matInput [value]="form.value.customerPercentage" readonly></td>
                  </tr>
                </table>
              </div>

              <div fxLayout="row" fxHide fxShow.lt-md>
                <table class="cashback" fxFlex="100" style="padding-left: 10px; padding-right: 10px;">
                  <tr>
                    <th>Ποσοστό επιστροφής (%)</th>
                    <th>Αναλογία Yummy - Πελατη {{form.value.ratioYummy}}
                      - {{form.value.ratioMerchant}}</th>
                  </tr>
                  <tr>
                    <td><input matInput [value]="form.value.customerPercentage" readonly></td>
                    <td>
                      <mat-slider
                        [max]="100"
                        [min]="0"
                        [step]="1"
                        color="primary"
                        [formControlName]="'ratioYummy'"
                        (change)="updateSlider($event)"></mat-slider>
                    </td>
                  </tr>
                </table>
              </div>

              <div fxLayout="row" fxHide fxShow.lt-md>
                <table class="cashback" fxFlex="100" style="padding-left: 10px; padding-right: 10px;">
                  <tr>
                    <th>Προμήθεια της Yummy (%)</th>
                    <th>Ποσοστό επιστροφής πελάτη (%)</th>
                  </tr>
                  <tr>
                    <td><input matInput [value]="form.value.yummyCommission" readonly></td>
                    <td><input matInput [value]="form.value.customerPercentage" readonly></td>
                  </tr>
                </table>
              </div>


              <div fxFlex="100" fxLayout="row"
                   style="background: white; padding-top: 10px; padding-left: 20px; padding-bottom: 10px">
                <mat-checkbox [checked]="form.value.stamps" [formControlName]="'stamps'" color="primary">
                </mat-checkbox>
                <label style="margin-left: 10px;margin-right: 10px;">Η επιχείρηση
                  παρέχει δωροσφραγίδες - Stamps</label>
              </div>

              <div fxFlex="100" fxLayout="row"
                   style="background: white; padding-top: 10px; padding-left: 20px; padding-bottom: 10px">
                <mat-checkbox [checked]="form.value.iBankPay" [formControlName]="'iBankPay'" color="primary">
                </mat-checkbox>
                <label style="margin-left: 10px;margin-right: 10px;">Η επιχείρηση
                  υποστηρίζει πληρωμές μέσω iBank - Pay</label>
              </div>
            </div>
          </div>
          <!--#endregion-->

          <!--      &lt;!&ndash;#region policies&ndash;&gt;-->
          <!--      <div fxLayout="row">-->
          <!--        <div fxFlex="100" fxLayout="column">-->
          <!--          <p class="cardTitle">Πίνακας Πολιτικών</p>-->

          <!--          <mat-table [dataSource]="form.value.policies" class="mat-elevation-z8">-->

          <!--            <ng-container matColumnDef="greekPolicy">-->
          <!--              <mat-header-cell fxFlex="45" style="justify-content: flex-start" *matHeaderCellDef>Περιγραφή Πολιτικής-->
          <!--                (Ελληνικά)-->
          <!--              </mat-header-cell>-->
          <!--              <mat-cell fxFlex="45" style="justify-content: flex-start" *matCellDef="let element">-->
          <!--                <textarea matInput [value]="element.greekPolicy" readonly></textarea>-->
          <!--              </mat-cell>-->
          <!--            </ng-container>-->

          <!--            <ng-container matColumnDef="englishPolicy">-->
          <!--              <mat-header-cell fxFlex="45" style="justify-content: flex-start" *matHeaderCellDef>Περιγραφή Πολιτικής-->
          <!--                (Αγγλικά)-->
          <!--              </mat-header-cell>-->
          <!--              <mat-cell fxFlex="45" style="justify-content: flex-start;" *matCellDef="let element">-->
          <!--                <textarea matInput [value]="element.englishPolicy" readonly></textarea>-->
          <!--              </mat-cell>-->
          <!--            </ng-container>-->

          <!--            <ng-container matColumnDef="action">-->
          <!--              <mat-header-cell fxFlex="10" *matHeaderCellDef fxHide fxShow.gt-sm>Ενέργειες</mat-header-cell>-->
          <!--              <mat-cell fxFlex="10" *matCellDef="let element">-->
          <!--                <button type="button" mat-icon-button color="warn"-->
          <!--                        (click)="deletePolicy(element.greekPolicy, element.englishPolicy)">-->
          <!--                  <mat-icon>delete</mat-icon>-->
          <!--                </button>-->
          <!--              </mat-cell>-->
          <!--            </ng-container>-->


          <!--            <mat-header-row *matHeaderRowDef="['greekPolicy','englishPolicy','action']"></mat-header-row>-->
          <!--            <mat-row *matRowDef="let row; columns: ['greekPolicy','englishPolicy','action'];"></mat-row>-->
          <!--          </mat-table>-->

          <!--          <button mat-raised-button class="saveChangesBtn" type="button" (click)="addPolicy()">Προσθήκη Πολιτικής-->
          <!--          </button>-->
          <!--        </div>-->
          <!--      </div>-->
          <!--      &lt;!&ndash;#endregion&ndash;&gt;-->

          <!--      &lt;!&ndash;#region open hours&ndash;&gt;-->
          <!--      <div fxLayout="row">-->
          <!--        <div fxFlex="100" fxLayout="column">-->
          <!--          <p class="cardTitle">Ωράριο Λειτουργίας</p>-->

          <!--          <mat-table [dataSource]="data.schedule" class="mat-elevation-z8">-->

          <!--            <ng-container matColumnDef="day">-->
          <!--              <mat-header-cell *matHeaderCellDef>Ημέρα</mat-header-cell>-->
          <!--              <mat-cell *matCellDef="let element"> {{element.day}} </mat-cell>-->
          <!--            </ng-container>-->

          <!--            <ng-container matColumnDef="open">-->
          <!--              <mat-header-cell *matHeaderCellDef>Ανοίγει στις</mat-header-cell>-->
          <!--              <mat-cell *matCellDef="let element">{{element.open}} </mat-cell>-->
          <!--            </ng-container>-->

          <!--            <ng-container matColumnDef="close">-->
          <!--              <mat-header-cell *matHeaderCellDef>Κλείνει στις</mat-header-cell>-->
          <!--              <mat-cell *matCellDef="let element">{{element.close}}-->
          <!--                &lt;!&ndash;            <input [ngxTimepicker]="picker" [value]="element.close">&ndash;&gt;-->
          <!--                &lt;!&ndash;            <ngx-material-timepicker #picker></ngx-material-timepicker>&ndash;&gt;-->
          <!--              </mat-cell>-->
          <!--            </ng-container>-->

          <!--            <mat-header-row *matHeaderRowDef="['day','open','close']"></mat-header-row>-->
          <!--            <mat-row *matRowDef="let row; columns: ['day','open','close'];"></mat-row>-->
          <!--          </mat-table>-->
          <!--        </div>-->
          <!--      </div>-->
          <!--      &lt;!&ndash;#endregion&ndash;&gt;-->

          <!--#region buttons-->
          <div *ngIf="registration; else elseBlock">
            <div fxLayout="row" fxLayoutAlign="center">
              <button mat-raised-button class="declineRequest" (click)="declineRequest()">Απόρριψη Εγγραφής
              </button>
              <button mat-raised-button class="acceptRequest" (click)="acceptRequest()" [disabled]="!form.valid">Έγκριση
                Εγγραφής
              </button>
            </div>
          </div>
          <ng-template #elseBlock>
            <div fxLayout="row" fxLayoutAlign="center" style="margin-top: 20px;">
              <button mat-raised-button class="saveChangesBtn"
                      (click)="updateMerchantData()">Αποθήκευση Αλλαγών
              </button>
            </div>
          </ng-template>
          <!--#endregion-->


        </form>
      </div>
      <!--#endregion-->
    </mat-tab>

    <mat-tab label="Ενέργειες">
      <app-extreme-table id="table" [columns]="columns" [data]="customers" noDataText="Δεν υπάρχουν χρήστες" (contextMenuEvent)="contextMenuEvent($event)" [hasSelection]="true"></app-extreme-table>

      <dx-context-menu
        [dataSource]="contextMenuItems"
        (onItemClick)="itemClick($event)"
        [width]="250"
        style="padding: 15px; border-radius: 5px;"
        target="#table">
        <div *dxTemplate="let e of 'item'">
          <div fxLayoutAlign="start center" fxLayoutGap="5px">
            <mat-icon>{{e.icon}}</mat-icon>
<!--            <span class="dx-icon-{{e.icon}}"></span>-->
            <span *ngIf="e.items" class="dx-icon-spinright"></span> {{ e.text }}
          </div>
        </div>
      </dx-context-menu>
    </mat-tab>
  </mat-tab-group>


</div>
